aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWill Deacon <will.deacon@arm.com>2017-10-26 11:47:09 +0100
committerWill Deacon <will.deacon@arm.com>2017-10-26 11:47:09 +0100
commit4a24675f5b101130f8ce5d123d85ffd718b82508 (patch)
treefe30ed96763e02c899a6b8c722e0807f671e9971
parent9a73e86a5f072d5cbba35d92b1695fa512842c1c (diff)
downloadqrwlock-rmem-4a24675f5b101130f8ce5d123d85ffd718b82508.tar.gz
Add script for running rmem
Signed-off-by: Will Deacon <will.deacon@arm.com>
-rwxr-xr-xrun-batch.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/run-batch.sh b/run-batch.sh
new file mode 100755
index 0000000..13fcf19
--- /dev/null
+++ b/run-batch.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+RMEM=./main.native
+export CAMOMILE_DIR=/usr/share/camomile
+
+if [ $# -lt 2 ]; then
+ echo "Usage: $0 <binary> <num_threads>"
+ exit 1
+fi
+
+if ! [ -x ${RMEM} ]; then
+ echo "rmem binary (${RMEM}) not found"
+ exit 1
+fi
+
+${RMEM} -model flat -shallow_embedding true -eager true -hash_prune true -interactive false -loop_limit 1 -elf_threads $2 $1 -isa_defs_path ./ -model forbid_tree_speculation -prune_restarts true -prune_discards true -priority_reduction true -v -allow_partial true